package com.gic.haoban.manage.service.dao.mapper.chat;

import java.util.Date;
import java.util.List;
import java.util.Set;

import org.apache.ibatis.annotations.Param;

import com.gic.haoban.manage.api.dto.qdto.chat.GroupChatSearchQDTO;
import com.gic.haoban.manage.service.entity.chat.TabGroupChat;

/**
 * 
 * @ClassName: TabHaobanGroupChatMapper
 * @Description: TODO
 * @Author 徐高华
 * @Date 2022年11月25日 13:35:28
 * @Modify
 * @CopyRight 
 */
public interface GroupChatMapper {
    
    public int getCountByStaffId(String staffId) ;
    
    public int insert(TabGroupChat tabHaobanGroupChat);

    public int deleteByPrimaryKey(Long groupChatId);

    public int update(TabGroupChat tabHaobanGroupChat);
    
    public void updateWxChatId3th(@Param("staffId")String staffId , @Param("name")String name , @Param("chatAddTime")Date chatAddTime , @Param("wxChatId3th")String wxChatId3th);

    public int updateData();

    // 更新群状态
    public int updateChatStatus(@Param("groupChatId") Long groupChatId, @Param("chatStatus") int chatStatus);

    public TabGroupChat selectById(Long groupChatId);

    public List<TabGroupChat> listByIdSet(@Param("idList") Set<Long> idList);

    public TabGroupChat selectByWxChatId(@Param("wxEnterpriseId") String wxEnterpriseId,
            @Param("wxChatId") String wxChatId);

    
    public TabGroupChat selectByWxChatId3th(@Param("wxEnterpriseId") String wxEnterpriseId,
            @Param("wxChatId3th") String wxChatId3th);

    public List<TabGroupChat> listAllNeedInit();
    
    public List<TabGroupChat> listAllNeedInitWxChatId3th();

    public List<TabGroupChat> list(GroupChatSearchQDTO qdto);

    public void updateChatEnterpriseId(@Param("wxEnterpriseId") String wxEnterpriseId,
            @Param("enterpriseId") String enterpriseId, @Param("groupChatIdList") List<Long> groupChatIdList);
}